3proxy 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1686754 漏洞类型 缓冲区错误
发布时间 2019-08-01 更新时间 2019-08-07
CVE编号 CVE-2019-14495 CNNVD-ID CNNVD-201908-136
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-136
|漏洞详情
3proxy是一款小型代理服务器。 3proxy 0.8.13之前版本中的webadmin.c文件存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:github.com

链接:https://github.com/z3APA3A/3proxy/releases/tag/0.8.13


来源:github.com

链接:https://github.com/z3APA3A/3proxy/compare/0.8.12...0.8.13


来源:github.com

链接:https://github.com/z3APA3A/3proxy/commit/3b67dc844789dc0f00e934270c7b349bcb547865


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14495